log4cplus::exception Class Reference

Exception class thrown by LogLog. More...

`#include <exception.h>`

Inherits std::runtime_error.

## Public Member Functions

| exception (tstring const &)
| exception (exception const &)
exception & | operator= (exception const &)
virtual | ~exception ()

## Detailed Description

Exception class thrown by LogLog.

See also
  helpers::LogLog

Definition at line 45 of file exception.h.

## Constructor & Destructor Documentation

## exception() [1/2]

log4cplus::exception::exception | ( | tstring const & |  | ) |

Referenced by exception(), and operator=().

## exception() [2/2]

log4cplus::exception::exception | ( | exception const & |  | ) |

References exception().

## ~exception()

virtual log4cplus::exception::~exception | ( |  | ) |

virtual

## Member Function Documentation

## operator=()

exception & log4cplus::exception::operator= | ( | exception const & |  | ) |

References exception().

The documentation for this class was generated from the following file:

- exception.h